Subject: Re: 25.0.50; MS-Windows needs a different default for python-shell-interpreter-args

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Nov 2014 18:50:52 +0200

> From: [email-masked] (Fabián Ezequiel Gallina)
> Cc: [email-masked]
> Date: Fri, 14 Nov 2014 13:01:45 -0300
> 
> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> I can only recreate the hang if I remove the "-i" switch in the default
> >> command, so I think the real issue here is to fix how tests define the
> >> command to run rather than changing the defaults on python.el.  With
> >> this said, I think this bug should be closed and we should move to
> >> #18595.
> >
> > Are you saying that it is OK for the above form to hang?
> >
> 
> Yes, on Windows the "-i" switch is required to avoid the hang and M-x
> run-python does the right thing adding it by default.

I know that "M-x run-python" does that, but I think run-python itself
should do that, too.  It's a bug for it to hang like that.

> We just need to fix the tests so they don't forget about "-i".

That's a related, but separate problem.